Last Comment Bug 500336 - SMS fails to send from new Fennec mobile page
: SMS fails to send from new Fennec mobile page
Status: VERIFIED FIXED
:
Product: mozilla.org Graveyard
Classification: Graveyard
Component: Server Operations (show other bugs)
: other
: x86 All
: -- normal (vote)
: ---
Assigned To: Jeremy Orem [:oremj]
: matthew zeier [:mrz]
:
Mentors:
https://www-trunk.stage.mozilla.com/e...
Depends on: 497682
Blocks: 497195
  Show dependency treegraph
 
Reported: 2009-06-24 17:26 PDT by Stephen Donner [:stephend]
Modified: 2015-03-12 08:17 PDT (History)
6 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Stephen Donner [:stephend] 2009-06-24 17:26:40 PDT
Steps to Reproduce:

1. Load https://www-trunk.stage.mozilla.com/en-US/mobile/#phone_choice
2. Choose "United States (USA)"
3. Type in a number and press "Send Text"

Expected Results:

SMS is sent

Actual Results:

https://www-trunk.stage.mozilla.com/en-US/mobile/index.html?status=fail loads, with "We could not send a text message to you. Please make sure your number includes a country code (e.g. +1 555-123-4567)." printed.

Dave says there's a config setting (key to the SMS API) that IT needs to configure on both staging/production.
Comment 1 matthew zeier [:mrz] 2009-06-24 17:30:14 PDT
We haven't even signed the contract yet.  What we had was a demo account.  Contract is still over in legal land (see dependent bug).
Comment 2 Dave Dash [:davedash, :dd] (assign all bugs to mbrandt) 2009-06-24 17:45:26 PDT
mrz- 

Is there someone at Legal I should talk to to get this rolling?
Comment 3 matthew zeier [:mrz] 2009-06-24 18:35:17 PDT
dd - cbrady/hja... anyone I suppose.  I've already commented in that bug too.
Comment 4 Stephen Donner [:stephend] 2009-07-14 23:30:32 PDT
Would someone please cc me on bug 497682?  We're at the point where I think we really need to start end-to-end testing, and SMS is a critical component; thanks!
Comment 5 Catherine C. Brady 2009-07-15 02:00:17 PDT
Stephen - adding you to the bug.  The agreement is with Messagemedia.  I've pinged Paul at messagemedia again.
Comment 6 matthew zeier [:mrz] 2009-07-20 23:23:01 PDT
contracts signed, waiting on API key.
Comment 7 matthew zeier [:mrz] 2009-07-25 18:29:37 PDT
forwarded API key, closing.
Comment 8 raymond [:retornam] (inactive) 2009-07-25 19:00:21 PDT
Steps to Reproduce:

1. Load https://www-trunk.stage.mozilla.com/en-US/mobile/#phone_choice
2. Choose "United States (USA)"
3. Type in a number and press "Send Text"

Expected Results:

SMS is sent

Actual Results:

https://www-trunk.stage.mozilla.com/en-US/mobile/index.html?status=fail loads,
with "We could not send a text message to you. Please make sure your number
includes a country code (e.g. +1 555-123-4567)." printed.
Comment 9 Jeremy Orem [:oremj] 2009-07-27 13:47:31 PDT
Configs updated.
Comment 10 raymond [:retornam] (inactive) 2009-07-27 14:00:04 PDT
verified fixed on https://www-trunk.stage.mozilla.com/en-US/mobile/#phone_choice

Note You need to log in before you can comment on or make changes to this bug.